Bug 449879 - Review Request: Zile - Zile Is Lossy Emacs
Review Request: Zile - Zile Is Lossy Emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 447125
  Show dependency treegraph
 
Reported: 2008-06-03 23:28 EDT by Rakesh Pandit
Modified: 2014-09-23 23:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: zile-2.4.11-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 11:33:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
debarshir: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-06-03 23:28:33 EDT
Spec URL: http://rakesh.gnulinuxcentar.org/zile.spec
SRPM URL: http://rakesh.gnulinuxcentar.org/zile-2.2.59-1.fc8.src.rpm

Description: 
Zile is a small Emacs clone. Zile is a customizable, self-documenting
real-time open-source display editor. Zile was written to be as
similar as possible to Emacs; every Emacs user should feel at home.
Comment 1 Rakesh Pandit 2008-06-03 23:31:19 EDT
This is my third package and I am still seeking a sponsor.
Comment 2 Jason Tibbitts 2008-06-06 00:06:26 EDT
A zile package already seems to be in the distribution.
Comment 3 Rakesh Pandit 2008-06-06 00:55:50 EDT
>A zile package already seems to be in the distribution.
distribution version is 2.2.19 and this on is 2.2.59 

It was packaged long time back and after pinging to maintainer there was no
response.
See:
https://www.redhat.com/archives/fedora-devel-list/2008-June/msg00023.html and 
https://bugzilla.redhat.com/show_bug.cgi?id=447125

So, going by Non-responsive Maintainer Policy I have packaged zile and posted bug
Comment 5 Debarshi Ray 2008-08-13 15:33:47 EDT
MUST Items: 

OK - rpmlint is clean
OK - follows Naming Guidelines
OK - spec file is named as %{name}.spec

xx - package does not meet Packaging Guidelines
    + According to
      https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Texinfo you
      you need to have:
      'Requires(post): info'
      'Requires(preun): info'
    + To preserve timestamps you could consider using:
      make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
    + According to
      https://fedoraproject.org/wiki/Packaging/Guidelines#Documentation the
      INSTALL file should not be distributed.

xx - Fedora approved license and meets Licensing Guidelines
    + Wrong value of License field.

xx - License field meets actual license
    + It should be GPLv3+ instead of GPLv3, since the license notice in the
      sources say:
      "GNU Zile is free software; ...
      under the terms of the GNU General Public License ...
      ... ; either version 3, or (at your option)
      any later version."

OK - upstream license file included in %doc
OK - spec file uses American English
OK - spec file is legible
OK - sources match upstream sources
OK - package builds successfully
OK - ExcludeArch not needed
OK - build dependencies correctly listed
OK - no locales
OK - no shared libraries
OK - package is not relocatable
OK - file and directory ownership
OK - no duplicates in %file
OK - file permissions set properly
OK - %clean present

xx - macros used consistently
    + Apart from one place  in the %files stanza you have used %{name} instead
      of zile. Please remove the inconsistency.

OK - contains code and permissable content
OK - -doc is not needed
OK - contents of %doc does not affect the runtime
OK - no header files
OK - no static libraries
OK - no pkgconfig files
OK - no library files
OK - -devel is not needed
OK - no libtool archives
OK - %{name}.desktop file not needed
OK - does not own files or directories owned by other packages
OK - buildroot correctly prepped
OK - all file names valid UTF-8

SHOULD Items:

OK - upstream provides license text
xx - no translations for description and summary
OK - package builds in mock successfully
OK - package builds on all supported architectures
OK - package functions as expected
OK - scriptlets are sane
OK - subpackages are not needed
OK - no pkgconfig files
OK - no file dependencies
Comment 6 Jason Tibbitts 2008-08-13 15:47:55 EDT
You know, I just committed to the existing zile package in the distribution (to fix up the license tag.)  Why don't you just add yourself as a comaintainer and then work on the package we have?
Comment 7 Rakesh Pandit 2008-08-13 15:58:57 EDT
Fixed -- all above mentioned issues.

SPEC: http://rakesh.fedorapeople.org/spec/zile.spec
SRPM: http://rakesh.fedorapeople.org/srpm/zile-2.2.61-2.fc9.src.rpm
Comment 8 Debarshi Ray 2008-08-13 16:33:06 EDT
+---------------------------------+
| This package is APPROVED by me. |
+---------------------------------+
Comment 9 Rakesh Pandit 2008-08-23 11:33:08 EDT
I have added myself as a co-maintainer.
Comment 10 Eric Smith 2013-01-13 13:28:35 EST
Package Change Request
======================
Package Name: zile
New Branches: el6
Owners: rakesh brouhaha

I contacted Rakesh by email about adding Zile to EPEL6, and offering to maintain it in EPEL if he didn't want to.  He replied that I was welcome to request and maintain the el6 branch, and also maintain the Fedora branches.

I've done a local build on Centos 6.3, which seems to work fine.
Comment 11 Gwyn Ciesla 2013-01-14 06:45:32 EST
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-01-15 03:43:37 EST
zile-2.3.21-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zile-2.3.21-5.el6
Comment 13 Fedora Update System 2013-02-02 14:42:09 EST
zile-2.3.21-5.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2014-08-30 01:22:31 EDT
ckermit-9.0.302-7.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ckermit-9.0.302-7.el7
Comment 15 Fedora Update System 2014-08-30 01:24:17 EDT
zile-2.4.11-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/zile-2.4.11-3.el7
Comment 16 Fedora Update System 2014-09-23 23:48:27 EDT
zile-2.4.11-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.